 %define module	brotlipy

Name:		python-%{module}
Version:	0.6.0
Release:	%mkrel 1
Summary:	Python binding to the Brotli library
Group:		Development/Python
License:	MIT
URL:		https://github.com/python-hyper/brotlipy/
Source0:	https://pypi.io/packages/source/b/brotlipy/%{module}-%{version}.tar.gz
Patch0:		brotlipy-0.6.0-mga-no-python3-enum34.patch

BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)

BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

BuildRequires:	pkgconfig(libffi)

%description
This library contains Python bindings for the reference Brotli
encoder/decoder. This allows Python software to use the Brotli
compression algorithm directly from Python code.

#------------------------------------------------

%package -n	python2-%{module}
Summary:	Python 2 binding to the Brotli library
Group:		Development/Python

%description -n	python2-%{module}
This library contains Python 2 bindings for the reference Brotli
encoder/decoder. This allows Python software to use the Brotli
compression algorithm directly from Python 2 code.

#------------------------------------------------

%package -n	python3-%{module}
Summary:	Python 3 binding to the Brotli library
Group:		Development/Python

%description -n	python3-%{module}
This library contains Python 3 bindings for the reference Brotli
encoder/decoder. This allows Python software to use the Brotli
compression algorithm directly from Python 3 code.

#------------------------------------------------

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf %{module}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files -n python2-%{module}
%doc HISTORY.rst LICENSE README.rst
%{python2_sitearch}/brotli/
%{python2_sitearch}/%{module}-%{version}-py%{python2_version}.egg-info/

%files -n python3-%{module}
%doc HISTORY.rst LICENSE README.rst
%{python3_sitearch}/brotli/
%{python3_sitearch}/%{module}-%{version}-py%{python3_version}.egg-info/


%changelog
* Sun Oct 30 2016 daviddavid <daviddavid> 0.6.0-1.mga6
+ Revision: 1064193
- initial package python-brotlipy

